Bug 827863 - [ovirt-engine-backend] NullPointerException when trying to attach disk to VM
[ovirt-engine-backend] NullPointerException when trying to attach disk to VM
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.1.0
x86_64 Linux
urgent Severity high
: ---
: 3.1.0
Assigned To: Maor
Haim
storage
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-03 06:59 EDT by Kiril Nesenko
Modified: 2016-02-10 11:36 EST (History)
12 users (show)

See Also:
Fixed In Version: SI6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 15:05:34 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
engine.log (43.41 KB, application/x-bzip)
2012-06-03 06:59 EDT, Kiril Nesenko
no flags Details

  None (edit)
Description Kiril Nesenko 2012-06-03 06:59:55 EDT
Created attachment 588826 [details]
engine.log

Description of problem:
Can not attach disk to a VM


2012-06-03 13:51:54,392 WARN  [org.ovirt.engine.core.bll.GetConfigurationValueQuery] (ajp--0.0.0.0-8009-6) ------- calling GetConfigurationValueQuery (RhevhLocalFSPath) with null version, using default general f
or version
2012-06-03 13:51:57,754 ERROR [org.ovirt.engine.core.bll.AttachDiskToVmCommand] (ajp--0.0.0.0-8009-4) ------- Error during CanDoActionFailure.: java.lang.NullPointerException
        at org.ovirt.engine.core.bll.AbstractDiskVmCommand.isVersionSupportedForShareable(AbstractDiskVmCommand.java:113) [engine-bll.jar:]
        at org.ovirt.engine.core.bll.AttachDiskToVmCommand.canDoAction(AttachDiskToVmCommand.java:48) [engine-bll.jar:]
        at org.ovirt.engine.core.bll.CommandBase.InternalCanDoAction(CommandBase.java:486) [engine-bll.jar:]
        at org.ovirt.engine.core.bll.CommandBase.CanDoActionOnly(CommandBase.java:244) [engine-bll.jar:]
        at org.ovirt.engine.core.bll.MultipleActionsRunner.Execute(MultipleActionsRunner.java:77) [engine-bll.jar:]
        at org.ovirt.engine.core.bll.Backend.runMultipleActionsImpl(Backend.java:442) [engine-bll.jar:]
        at org.ovirt.engine.core.bll.Backend.runMultipleActionsImpl(Backend.java:456) [engine-bll.jar:]
        at org.ovirt.engine.core.bll.Backend.RunMultipleActions(Backend.java:417) [engine-bll.jar:]
        at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method) [rt.jar:1.6.0_24]
        at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57) [rt.jar:1.6.0_24]
        at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43) [rt.jar:1.6.0_24]
        at java.lang.reflect.Method.invoke(Method.java:616) [rt.jar:1.6.0_24]
        at org.jboss.as.ee.component.ManagedReferenceMethodInterceptorFactory$ManagedReferenceMethodInterceptor.processInvocation(ManagedReferenceMethodInterceptorFactory.java:72) [jboss-as-ee.jar:7.1.1.Final-re
dhat-1]
        at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:288) [jboss-invocation.jar:1.1.1.Final-redhat-1]
        at org.jboss.invocation.InterceptorContext$Invocation.proceed(InterceptorContext.java:374) [jboss-invocation.jar:1.1.1.Final-redhat-1]
        at org.ovirt.engine.core.utils.ThreadLocalSessionCleanerInterceptor.injectWebContextToThreadLocal(ThreadLocalSessionCleanerInterceptor.java:11) [engine-utils.jar:]




Version-Release number of selected component (if applicable):
si5

How reproducible:
Always

Steps to Reproduce:
1. Try to attach floating disk to a vm
2.
3.
  
Actual results:
getting NullPointerException

Expected results:
User should be able to attach floating disk to a vm

Additional info:
Comment 1 Maor 2012-06-04 09:02:47 EDT
Fixed at #34dc78bc37f57f88b99aa41e7b88811834c96564
Comment 2 Leonid Natapov 2012-06-17 06:54:33 EDT
si6. no exception. can attach disk without problem.

Note You need to log in before you can comment on or make changes to this bug.